import { Course } from '@app/core/models/course';

export type PlannedTermEra = 'past' | 'active' | 'future';

export type PlannedTermNote =
  | { isLoaded: true; text: string; id: number }
  | { isLoaded: false; text: string };

export interface PlannedTerm {
  termCode: string;
  era: PlannedTermEra;
  note?: PlannedTermNote;
  courses: Course[];
}
